Package com.collabnet.ce.soap60.webservices.cemain

# Class ItemSoapDO

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO

Direct Known Subclasses:
  `Artifact2SoapDO`, `Artifact3SoapDO`, `ArtifactSoapDO`, `Commit2SoapDO`, `CommitSoapDO`, `Document2SoapDO`, `Document3SoapDO`, `DocumentReviewSoapDO`, `DocumentSoapDO`, `FrsFile2SoapDO`, `FrsFileSoapDO`, `LinkedApplication2SoapDO`, `LinkedApplicationSoapDO`, `NewsPostSoapDO`, `PageComponent2SoapDO`, `PageComponentSoapDO`, `PostSoapDO`, `ReplicaDataSoapDO`, `WikiPageSoapDO`

public class ItemSoapDO extends com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
`ItemSoapDO` is the base class for all data objects within the hierarchy.

Since:
  4.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ItemSoapDO()`
  Default constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFolderId()`
  Returns the container (folder) ID of the item.
  `String`
  `getPath()`
  Get the path
  `String`
  `getTitle()`
  Get the title
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  Registers SOAP type mappings.
  `void`
  `setFolderId(String folderId)`
  Sets the container (folder) ID of the item.
  `void`
  `setPath(String path)`
  Set the path
  `void`
  `setTitle(String title)`
  Set the title

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ItemSoapDO

    public ItemSoapDO()
    Default constructor.

- ## Method Details

  - ### getPath

    public String getPath()
    Get the path
    Returns:
      the path

  - ### setPath

    public void setPath(String path)
    Set the path
    Parameters:
      `path` - the path

  - ### getTitle

    public String getTitle()
    Get the title
    Returns:
      the title

  - ### setTitle

    public void setTitle(String title)
    Set the title
    Parameters:
      `title` - the title

  - ### getFolderId

    public String getFolderId()
    Returns the container (folder) ID of the item. A container (folder) refers to a tracker, document folder, repository, etc.
    Returns:
      Item's container (folder) id.

  - ### setFolderId

    public void setFolderId(String folderId)
    Sets the container (folder) ID of the item. A container (folder) refers to a tracker, document folder, repository, etc.
    Parameters:
      `folderId` - Item's container (folder) id.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)
    Registers SOAP type mappings.
    Parameters:
      `call` - Soap call.